<app-navbar></app-navbar>

<div class="container-fluid">
    <div *ngIf="respDatosReunion && respDatosReunion.length != 0">
        <h2 style="margin: 20px 0px 0px 30px;">{{respDatosReunion[0].nombreReunion}}</h2>
        <hr>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title text-center mb-3">Agenda</h5>
                        <div *ngFor="let datos of paginas" class="d-flex justify-content-between">
                            <p class="card-text">{{datos.tituloPagina}}</p>
                            <p class="card-text">{{datos.duracionPagina}}min</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-9 mb-4 d-flex align-items-center justify-content-center">
                <div class="card">
                    <div>
                        <div class="d-flex justify-content-end">
                            <button class="btn" (click)="editarReunion()">
                                <img src="../../../../assets/img/Settings (1).png" width="25px" class="mt-1"
                                    alt="" (click)="editarReunion()">Editar
                                Reunion
                                </button>
                        </div>
                        <hr>
                        <h1 style="text-align: center;">Participantes</h1>
                        <div class="row mt-5">
                            <div *ngFor="let reunion of participantes" class="col-md-4 mb-4">
                                <div class="d-flex align-items-center">
                                    <img [src]="'http://localhost:8080/imgs/usuarios/' + reunion.pfp" class="pfp"
                                        title="{{reunion.nombre}} {{reunion.apellido}}" style="margin-left: 30px;">
                                    <p style="margin-left: 7px; margin-top: 14px;">{{reunion.nombre}}
                                        {{reunion.apellido}}
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="d-flex justify-content-end">
                            <!-- <button class="btn mb-3 mx-2">Vista Previa</button> -->
                            <button class="btn btn-primary mb-3 mx-3" (click)="iniciarReunion()">Iniciar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>